Last Comment Bug 694932 - GCLI should make the same JS security checks as JSTerm
: GCLI should make the same JS security checks as JSTerm
Status: RESOLVED FIXED
[fixed-in-fx-team]
:
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: unspecified
: All All
: P1 normal (vote)
: Firefox 10
Assigned To: Joe Walker [:jwalker] (needinfo me or ping on irc)
:
Mentors:
Depends on:
Blocks: GCLI-SHIP
  Show dependency treegraph
 
Reported: 2011-10-17 02:26 PDT by Joe Walker [:jwalker] (needinfo me or ping on irc)
Modified: 2011-11-03 18:49 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
upload 1 (3.66 KB, patch)
2011-10-20 10:03 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review
upload 2 (18.87 KB, patch)
2011-10-27 06:48 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
no flags Details | Diff | Splinter Review
upload 3 (19.93 KB, patch)
2011-11-01 15:08 PDT, Joe Walker [:jwalker] (needinfo me or ping on irc)
dcamp: review+
Details | Diff | Splinter Review

Description Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-17 02:26:25 PDT

    
Comment 1 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-20 10:03:23 PDT
Created attachment 568430 [details] [diff] [review]
upload 1

You've already seen this in https://github.com/mozilla/gcli/pull/40
Comment 2 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-10-27 06:48:02 PDT
Created attachment 569953 [details] [diff] [review]
upload 2

This patch now includes tests, and some significant updates.
See also https://github.com/mozilla/gcli/pull/41
Comment 3 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-01 15:08:04 PDT
Created attachment 571152 [details] [diff] [review]
upload 3

See also: https://github.com/mozilla/gcli/pull/41
Push to try: https://tbpl.mozilla.org/?tree=Try&rev=15373ad4a778

Dave - I r?ed you so there was a record here. Not sure if that's needed.
Comment 4 Dave Camp (:dcamp) 2011-11-01 15:17:47 PDT
Comment on attachment 571152 [details] [diff] [review]
upload 3

Probably for the best.
Comment 5 Joe Walker [:jwalker] (needinfo me or ping on irc) 2011-11-02 02:35:29 PDT
Try looks clean. Ready to land.
Comment 6 Rob Campbell [:rc] (:robcee) 2011-11-03 08:42:46 PDT
https://hg.mozilla.org/integration/fx-team/rev/d3275ca75d28
Comment 7 Paul O'Shannessy [:zpao] (not reading much bugmail, email directly) 2011-11-03 18:49:13 PDT
https://hg.mozilla.org/mozilla-central/rev/d3275ca75d28

Note You need to log in before you can comment on or make changes to this bug.